package jst.model;

import java.util.List;

public class GenericMethodDecl extends MethodDecl {
	/**
	 * The type parameters this method has. If empty then indicates it's a "non generic method".
	 */
	List<OpTypeParameter> _parameters;
	
	/**
	 * The interfaces that have been constructed from this type. This should be empty
	 * iff _parameters is empty.
	 */
	List<ConstructedMethodDecl> _instantiatedBy;
}
