package jst.parsetree;
import parser.parsetree.*;
import java.util.*;
import parser.grammar.*;

public class JstParseTreeBranch extends ParseTreeBranch {

    static int nextID = 0;

    private int id; // Unique identifier for xml links.

    public JstParseTreeBranch(Production theProductionType, List theKids) {
        super(theProductionType, theKids);
         id = nextID++;
    }

    public String getID() {
        return "PTB_" + id;
    }
}
