package parser.pda.stateMachine;
import parser.grammar.*;
import parser.pda.tokenStream.*;
import parser.pda.*;

public abstract class AbstractLookahead implements Lookahead {

    protected void act(ShiftOrReduce anAction, Looker input, PdaActor pda) {
        if (anAction == null)
            return;

        if (anAction.isShift())
            pda.shift(input.first());
        else
            pda.reduce(anAction.asReduce(), input);
    }
}
