package parser.pda.stateMachine;

public class StateMachine {
    /**
     * @supplierRole startState 
     */
    protected State startState;

    /**
     * @supplierRole stopState 
     */
    protected State stopState;

    public StateMachine(State start, State stop) {
        startState = start;
        stopState = stop;
    }

    public State getStartState() {
        return startState;
    }

    public State getStopState() {
        return stopState;
    }
}
